function DBClose(SQLServer, DB);
% DBClose    Release an SQL database
%
% DBClose(SQLServer, DB);
%
% Close an SQL database DB.
% The variable DB still exists in the caller (and its callers) workspaces.
% However, the attached ressources have been released, hence it is not
% usable anymore. You should follow this command with a clear DB;
%
% Compatibility mode: the argument SQLServer is used only in R12
%                     compatibility mode. So in R13, you can call
%                     DBClose([], DB) and in R12 DBClose(SQLServer, []).
%
% (c) 2003, CSE; see library header for more information.

if isempty(DB) | DB == -1 % strcmp(class(DB), 'activex')
    try
        evalin('base', 'invoke(SQLServer, ''CloseCurrentDatabase'');');
    catch
        blop = lasterr;
        if ~strcmp(blop(1:78), 'The expression you entered refers to an object that is closed or doesn''t exist')
            msg = sprintf('In compatibility mode, the input to DBClose\nis the SQLServer, not the database.\n\nDBCLOSE(SQLServer, []);\n');
            warning(sprintf('CSE DB Library Error (Compatibility Mode)\nUnable to close table:\n%s\n\n%s', blop, msg));
        end
    end
else
    DB.Close
end

