function ErrorCode = DBExecute(DB, SQLCommand);
% DBExecute   Execute an arbitrary SQL command
%
% ErrorCode = DBExecute(DB, SQLCommand);;
%
% DB is obtained with DBOpen.
% SQLCommand is any SQL command, a string.
% (it is not a SQLQuery, i.e. cannot begin with 'SELECT...')
%
% ErrorCode is zero for successful completion. It is negative if
% unsuccessful.
%
% (c) 2003, CSE; see library header for more information.

ErrorCode = 0;

if DB == -1 % strcmp(class(DB), 'activex')
    try
        assignin('base', 'SQLCommand', SQLCommand);
        evalin('base', 'invoke(DB, ''Execute'', SQLCommand); clear SQLCommand;');
    catch
        ErrorCode = -1;
        blop = lasterr;
        warning(sprintf('CSE DB Library Error (compatibility mode)\nUnable to execute SQL command\n"%s":\n%s', SQLCommand, blop));
    end
else
	try
        DB.Execute(SQLCommand);
	catch
        ErrorCode = -1;
        blop = lasterr;
        warning('CSE:DBLibrary', ['CSE DB Library Error\nUnable to execute SQL command\n"%s":\n%s'], SQLCommand, blop);
	end
end