% DBFinish  Terminates the use of the SQL database Library
%
% DBFinish; (no input or output arguments)
%
% DBFinish will delete all DB Library-related objects.
% Of course, only objects present in the caller will be removed; this
% function should hence be called in the same function that called
% DBInitialize, or from the prompt.
%
% All objects of the class 'access.application' and children object will be
% deleted. If this is not the intended behavior, i.e. if you use other
% object of those classes, do not call DBFinish, use clear on each of the
% DB Library elements instead.
%
% (c) 2003, CSE; see library header for more information.

if str2num(version('-release'))<13
    warning(sprintf('CSE DB Library Warning (compatibility mode):\n\nDBFinish (as it is implemented now) would be too\ndangerous for older versions of Matlab.\nTherefore is has no effect and you must remove\nthe SQLServer and the Databases by hand...'));
else
	temp_var_incl_whos_vars_432325 = whos;
	for temp_var_incl_whos_vars_299325 = 1:size(temp_var_incl_whos_vars_432325,1)
        temp_var_incl_whos_vars_298465 = strfind(temp_var_incl_whos_vars_432325(temp_var_incl_whos_vars_299325).class, 'access.application');
        if ~isempty(temp_var_incl_whos_vars_298465)
            clear(temp_var_incl_whos_vars_432325(temp_var_incl_whos_vars_299325).name);
        end
	end
	clear temp_var_incl_whos_vars_298465;
	clear temp_var_incl_whos_vars_299325;
	clear temp_var_incl_whos_vars_432325;
end