function SQLServer = DBInitialize;
% DBInitialize  Initialize SQL database Library
%
% SQLServer = DBInitialize;
%
% Initialization of database operation; the SQLServer is a handle
% to MS Access, that will act as SQL Server.
% Pass SQLServer as argument to open a databases.
%
% DO NOT USE DBInitialize without output argument, the ActiveX link would
% be working, but show unpredictable behaviors, for instance an Access
% window would keep opening... Therefore, do not use
% db = DBOpen(DBInitialize, 'C:\blah\myDB.ips');
%
% Multiple Servers can be open simultaneously, but one is generally enough,
% as many databases can be open at the same time on the same server.
%
% Compatibility mode: multiple servers are untested. One database per server.
%
% (c) 2003, CSE; see library header for more information.

if isPC
    if nargout ~= 1
        blop = '';
        error('CSE:DBLibrary', 'CSE DB Library Fatal Error\nOne output argument is necessary.%s', blop);
	else
        try
            SQLServer = actxserver('Access.Application');
        catch
            blop = lasterr;
            error('CSE:DBLibrary', ['CSE DB Library Fatal Error\nThis Library is based on MS Access ActiveX engine.\nAccess is not availble on this PC, ' ...
                    'hence the library cannot run:\n%s'], blop(28:end));
        end
    end
else
    blop = '';
    error('CSE:DBLibrary', 'CSE DB Library Fatal Error\nSorry, this library if for PC only - it uses ActiveX functionalties.%s', blop);
end

%warn('CSE:Internal', ['DBInitialize called!']);