function DBInitializeR12;
% DBInitializeR12  Initialize SQL database Library
%
% DBInitializeR12;
%
% Initialization of database operation; the SQLServer is a handle
% to MS Access, that will act as SQL Server.
% Pass SQLServer as argument to open a databases.
%
% DBInitializeR12 has no output argument, use get_SQL_server for 
% accessing the server:
% db = DBOpen(get_SQL_server, 'C:\blah\myDB.ips');
%
% Multiple Servers can be open simultaneously, but one is generally enough,
% as many databases can be open at the same time on the same server.
%
% Compatibility mode: multiple servers are untested. One database per server.
%
% (c) 2003, CSE; see library header for more information.

persistent has_warned;

if isPC
    try
        evalin('base', 'global SQLServer; SQLServer = actxserver(''Access.Application'');', 'error(''whatever'');');
        if isempty(has_warned)
            has_warned = 1;
            disp(sprintf(['CSE DB Library Warning (compatibility mode):\n\nThis library is made for MatLab R13.\n' ...
                    'You appear to have an older version.\nThe library will enter in "compatibility mode",\n' ...
                    'but some limitations do apply...\n\n* Only ONE database can be opened by SQLServer.\n' ...
                    '* Some signatures of function are changed.\n  e.g. DBClose(SQLServer, []) and not DBClose([], myDB)\n' ...
                    '  Warnings will inform when the case arise;\n  A safe call is DBClose(SQLServer, myDB);\n' ...
                    '* DBFinish does not work, clean-ups must\n  be made by hand.']));
        else
            has_warned = has_warned + 1;
        end
    catch
        blop = lasterr;
        error('CSE:DBLibrary', ['CSE DB Library Fatal Error\nThis Library is based on MS Access ActiveX engine.\nAccess is not availble on this PC, ' ...
                'hence the library cannot run:\n%s'], blop(28:end));
    end
else
    blop = '';
    error('CSE:DBLibrary', 'CSE DB Library Fatal Error\nSorry, this library if for PC only - it uses ActiveX functionalties.%s', blop);
end

%warn('CSE:Internal', ['DBInitializeR12 called! (Call #' int2str(has_warned) ').']);